\name{image.grf}

\alias{image.grf}
\alias{persp.grf}
%- Also NEED an `\alias' for EACH other topic documented here.

\title{Image/Perspective Plot of Simulated Gaussian Random Field}

\description{
  Plots an image or perspective plot with a realization of a Gaussian
  random field, simulated using the function \code{\link{grf}}.  
}

\usage{
image.grf(obj, sim.number = 1, ...)

persp.grf(obj, sim.number = 1, ...)
}

%- maybe also `usage' for other objects documented here.
\arguments{
  \item{obj}{an object with the output of the function
    \code{\link{grf}}. Typically an object of the class \code{grf}.  }
  \item{sim.number}{number of simulations. Indicates the simulation number
    when the object contains more than one.  }
  \item{\dots}{further arguments to be passed to the functions
    \code{\link{image}} or \code{\link{persp}}.  }
}

%\details{
%}

\value{
  An image or perspective plot is produced on the current graphics device.
}


\references{
  Further information about \bold{geoR/geoS} can be found at:\cr
  \url{http://www.maths.lancs.ac.uk/~ribeiro/geoR.html}
}


\author{Paulo Justiniano Ribeiro Jr. \email{paulojus@est.ufpr.br} \cr
  Peter J. Diggle \email{p.diggle@lancaster.ac.uk}.
}

%\note{ ~~further notes~~ }

\seealso{\code{\link{grf}} for simulation of Gaussian random fields,
  \code{\link{image}} and \code{\link{persp}} for the generic plotting functions.}

\examples{
# generating 4 simulations of a Gaussian random field
sim <- grf(225, grid="reg", cov.pars=c(1, .25), nsim=4)
par.ori <- par()
par(mfrow=c(2,2))
par(pty="s")
for (i in 1:4)
  image.grf(sim, sim.n=i)
}


\keyword{spatial, dplot}
