\name{summary.variomodel}

\alias{summary.variomodel}

%- Also NEED an `\alias' for EACH other topic documented here.
\title{Summarize Results of Variogram Estimation}

\description{
  This function prints a summary of the parameter estimation results given
  by \code{\link{olsfit}} and \code{\link{wlsfit}}.
}

\usage{
summary.variomodel(obj)
}

%- maybe also `usage' for other objects documented here.

\arguments{
  \item{obj}{an object which contains the output of one of the
    functions: \code{\link{olsfit}} or
    \code{\link{wlsfit}}.}
}

%\details{
%}

\value{
  Prints a summary of the estimation results on the screen or
  any other current output device.
}

\references{
  Further information about \bold{geoR/geoS} can be found at:\cr
  \url{http://www.maths.lancs.ac.uk/~ribeiro/geoR.html}
}

\author{
  Paulo J. Ribeiro Jr. \email{paulojus@est.ufpr.br} \cr
  Peter J. Diggle \email{p.diggle@lancaster.ac.uk}.
}

%\note{ ~~further notes~~ }

\seealso{The functions \code{\link{olsfit}}, \code{\link{wlsfit}} and \code{\link{likfit}}
  for parameter estimation. }

\examples{
if(is.R()) data(s100)
s100.vario <- variog(s100, max.dist=1)
wls <- wlsfit(s100, ini=c(.5, .5), fix.nugget = T)
summary(wls)
}

\keyword{spatial}
